Skip to main content
PUT
/
api
/
v0
/
instances
/
recycle
/
{id}
recycle instance
curl --request PUT \
  --url https://console.vast.ai/api/v0/instances/recycle/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.vast.ai/api/v0/instances/recycle/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.vast.ai/api/v0/instances/recycle/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"success": false,
"error": "invalid_id",
"msg": "Invalid instance id."
}
{
"success": false,
"error": "<string>",
"msg": "<string>"
}
{
"detail": "API requests too frequent endpoint threshold=1.0"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

ID of the instance to recycle

Response

Instance recycle initiated successfully

success
boolean
Example:

true